apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
resources:
  - ../../base
  - webserver.ingress.yaml
namespace: kommul-dev
commonLabels:
  eurac.edu/environment: stg
  app.kubernetes.io/part-of: oetzi
  app.kubernetes.io/managed-by: kustomize
patchesStrategicMerge:
  - database.deployment.yaml
  - webserver.deployment.yaml
images:
  - name: oetzi-webserver-image
    newName: gitlab.inf.unibz.it:4567/commul/oetzi/backend
    newTag: latest
secretGenerator:
  # TODO: avoid using literals
  - literals:
      - username=db_user
      - password=db_pass
      - database=db_name
      - url=postgres://db_user:db_pass@oetzi-database-service/db_name
    name: oetzi-database-credentials
    type: Opaque
